gtkdataboxmm 0.9.4

- Main Page
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Related Functions | List of all members
GDatabox::XYCGraph Class Reference

`#include <gtkdataboxmm/xyc_graph.h>`

Inheritance diagram for GDatabox::XYCGraph:
[legend]

## Public Member Functions

virtual | ~XYCGraph ()
GtkDataboxXYCGraph* | gobj ()
| Provides access to the underlying C GObject.
const GtkDataboxXYCGraph* | gobj () const
| Provides access to the underlying C GObject.
GtkDataboxXYCGraph* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
unsigned int | get_length () const
| Gets the the length of the X and Y values arrays.
float* | get_X () const
| Gets the X values of the xzc_graph.
float* | get_Y () const
| Gets the Y values of the xzc_graph.
Glib::PropertyProxy_ReadOnly < unsigned int > | property_length () const
| number of data points.
Glib::PropertyProxy_ReadOnly < float* > | property_X_Values () const
| X values of data.
Glib::PropertyProxy_ReadOnly < float* > | property_Y_Values () const
| Y values of data.
Public Member Functions inherited from GDatabox::Graph
virtual | ~Graph ()
void | set_hide (bool hide)
| Hidden graphs are not shown, when the Gtk::Databox containing them is redrawn.
bool | get_hide ()
| Gets the current "hide" status.
void | set_color (const Gdk::Color& color) const
| Sets the color which the Gtk::DataboxGraph object is supposed to be using when drawing itself.
void | set_size (int size)
| Sets the size (e.g. line width) which the Gtk::DataboxGraph object is supposed to be using when drawing itself.
int | get_size () const
| Gets the size of the graph elements (e.g. the line width).
int | calculate_extrema (float& min_x, float& max_x, float& min_y, float& max_y)
| Virtual function which determines the minimum and maximum x and y values of the values of this Gtk::DataboxGraph object if applicable (there are graphs which do not contain data).
Glib::PropertyProxy< Gdk::Color > | property_color ()
| Color of graph.
Glib::PropertyProxy_ReadOnly < Gdk::Color > | property_color () const
| Color of graph.
Glib::PropertyProxy< int > | property_size ()
| Size of displayed items.
Glib::PropertyProxy_ReadOnly< int > | property_size () const
| Size of displayed items.
Glib::PropertyProxy< bool > | property_hide ()
| Determine if graph is hidden or not.
Glib::PropertyProxy_ReadOnly < bool > | property_hide () const
| Determine if graph is hidden or not.
Public Member Functions inherited from Glib::Object
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj_copy () const
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)

## Protected Member Functions

| XYCGraph ()
Protected Member Functions inherited from GDatabox::Graph
| Graph ()
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
virtual | ~Object ()
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
virtual | ~ObjectBase ()=0
void | initialize (GObject *castitem)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< GDatabox::XYCGraph > | wrap (GtkDataboxXYCGraph* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from GDatabox::Graph
Glib::RefPtr< GDatabox::Graph > | wrap (GtkDataboxGraph* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members

Public Types inherited from Glib::Object
typedef void(* | DestroyNotify )(gpointer data)

## Constructor & Destructor Documentation

virtual GDatabox::XYCGraph::~XYCGraph | ( |  | ) |

virtual

GDatabox::XYCGraph::XYCGraph | ( |  | ) |

protected

## Member Function Documentation

unsigned int GDatabox::XYCGraph::get_length | ( |  | ) | const

Gets the the length of the X and Y values arrays.

Returns
  Length of X/Y arrays.

float* GDatabox::XYCGraph::get_X | ( |  | ) | const

Gets the X values of the xzc_graph.

Returns
  Pointer to X values.

float* GDatabox::XYCGraph::get_Y | ( |  | ) | const

Gets the Y values of the xzc_graph.

Returns
  Pointer to Y values.

GtkDataboxXYCGraph* GDatabox::XYCGraph::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

Reimplemented from GDatabox::Graph.

Reimplemented in GDatabox::Markers, GDatabox::Bars, GDatabox::CrossSimple, GDatabox::Lines, and GDatabox::Points.

const GtkDataboxXYCGraph* GDatabox::XYCGraph::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

Reimplemented from GDatabox::Graph.

Reimplemented in GDatabox::Markers, GDatabox::Bars, GDatabox::CrossSimple, GDatabox::Lines, and GDatabox::Points.

GtkDataboxXYCGraph* GDatabox::XYCGraph::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from GDatabox::Graph.

Reimplemented in GDatabox::Markers, GDatabox::Bars, GDatabox::CrossSimple, GDatabox::Lines, and GDatabox::Points.

Glib::PropertyProxy_ReadOnly< unsigned int > GDatabox::XYCGraph::property_length | ( |  | ) | const

number of data points.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< float* > GDatabox::XYCGraph::property_X_Values | ( |  | ) | const

X values of data.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< float* > GDatabox::XYCGraph::property_Y_Values | ( |  | ) | const

Y values of data.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< GDatabox::XYCGraph > wrap | ( | GtkDataboxXYCGraph * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkdataboxmm/xyc_graph.h